API partneritele › Teave Lisa kirje musta nimekirja POST /api/crm/v2/black_list.addv2
operationId: blackList.add
Lisab kirje musta nimekirja. type_lock määrab, millist identifikaatorit oodatakse päringu kehas: phone_number, client_branch_profile_id või client_account_id. Duplikaat võrgu piires lükatakse tagasi.
Autoriseerimine api-token + language + role
Päringu keha application/json object
type_lock string kohustuslik
Väärtused: phone_numberclient_branch_profile_idclient_account_id
Näide: phone_number
Üks variantidest
blackListOneOf
object (blackListOneOf)
Üks variantidest
object object object
object
Blokeering phone_number alusel
phone_format_id integer (PhoneFormatId) kohustuslik
Riigikood: 1-🇷🇺(+7|8), 2-🇦🇿(+994|0), 3-🇧🇾(+375|80), 4-🇰🇿(+7|8), 6-🇷🇸(+381|0), 7-🇹🇷(+90|0), 8-🇺🇦(+380|0), 9-🇵🇹(+351|0), 10-🇰🇬(+996|0), 11-🇺🇸(+1), 12-🇫🇷(+33|0), 13-🇲🇩(+373|0), 15-🇪🇪(+372), 18-🇬🇪(+995), 19-🇺🇿(+998), 22-🇵🇱(+48|0), 23-🇹🇯(+992|8), 25-🇷🇴(+40|0), 44-🇨🇭(+41|0)
Näide: 1
phone_number string kohustuslik
Näide: 705-712-51-20
object
Blokeering client_branch_profile_id alusel
client_branch_profile_id integer kohustuslik
Kliendi profiili ID filiaalis
Näide: 48997963
object
Blokeering client_account_id alusel
client_account_id integer kohustuslik
Näide: 4211309
Vastused 200
object
status string kohustuslik
Väärtused: successerror
Näide: success
data object
description string
Näide: Successfully added
row object
chain_id integer
Näide: 7135
date string (DataTimeFormatSQL)
Näide: 2024-05-02 08:31:16
phone_format_id integer
Näide: 4
phone_number string
Näide: 7057125119
client_account_id integer
Näide: 0
client_branch_profile_id integer
Näide: 0
blocked boolean
Näide: true
curl PHP JavaScript Python Kopeeri
curl -X POST 'https://foodsoul.pro/api/crm/v2/black_list.add' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: et' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{"phone_format_id":1,"phone_number":"705-712-51-20"}' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'POST' , 'https://foodsoul.pro/api/crm/v2/black_list.add' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'et' ,
'role' => 'partner' ,
],
'json' => [
'phone_format_id' => 1 ,
'phone_number' => '705-712-51-20' ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.pro/api/crm/v2/black_list.add" , {
method : "POST" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "et" ,
"role" : "partner" ,
"Content-Type" : "application/json"
},
body : JSON . stringify ({
"phone_format_id" : 1 ,
"phone_number" : "705-712-51-20"
}),
})
const data = await response . json () import requests
response = requests . request (
"POST" ,
"https://foodsoul.pro/api/crm/v2/black_list.add" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "et" ,
"role" : "partner" ,
},
json ={
"phone_format_id" : 1 ,
"phone_number" : "705-712-51-20" ,
},
)
data = response . json () Vastus 200
{
"status" : "success" ,
"data" : {
"description" : "Successfully added" ,
"row" : {
"chain_id" : 7135 ,
"date" : "2024-05-02 08:31:16" ,
"phone_format_id" : 4 ,
"phone_number" : "7057125119" ,
"client_account_id" : 0 ,
"client_branch_profile_id" : 0 ,
"blocked" : true ,
"id" : "82348"
}
}
} Päringud saadetakse aadressile foodsoul.pro — see on selle portaali host, teist valida ei saa.